Yandex Cloud
КейсыДокументация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»
Yandex StoreDoc
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • List
        • Get
        • Reschedule
  • Справочник метрик
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Response
  • Resource
  • Detail
  1. Справочник API
  2. REST (англ.)
  3. Maintenance
  4. Get

Managed Service for MongoDB API, REST: Maintenance.Get

Статья создана
Yandex Cloud
Обновлена 22 июня 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Response
  • Resource
  • Detail

Retrieves the specific Maintenance by ID.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/maintenances/{maintenanceId}

Path parametersPath parameters

GetMaintenanceRequest allows getting Maintenance by ID.

Field

Description

maintenanceId

string

Required field.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "resourcePath": [
    {
      "id": "string",
      "type": "string"
    }
  ],
  "description": "string",
  "details": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "status": "string",
  "createdAt": "string",
  "startScheduledAt": "string",
  "completionScheduledAt": "string",
  "maxStartScheduledAt": "string",
  "startedAt": "string",
  "succeededAt": "string",
  "cancelledAt": "string",
  "userControllable": "boolean"
}

Field

Description

id

string

ID of the maintenance.

resourcePath[]

Resource

Full path to the resource affected by maintenance,
represented as a hierarchy from specific resource to top-level container.
Example for a Compute instance with ID "I" in folder "F" and cloud "C":
resource_path = [
{ "compute.instance", "I" },
{ "resource-manager.folder", "F" },
{ "resource-manager.cloud", "C" }
]

description

string

Describes action to be performed.

details[]

Detail

Service-specific details.

status

enum (Status)

Status of the maintenance.

  • SCHEDULED: Maintenance is scheduled for a future time.
  • RUNNING: Maintenance is currently running.
  • SUCCEEDED: Maintenance completed successfully.
  • CANCELLED: Maintenance is cancelled and will not run.

createdAt

string (date-time)

The creation time of the maintenance.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

startScheduledAt

string (date-time)

The time when the maintenance was scheduled to start.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

completionScheduledAt

string (date-time)

The time when the maintenance is estimated to complete. Optional.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

maxStartScheduledAt

string (date-time)

Latest time the maintenance can be postponed to.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

startedAt

string (date-time)

The time time when the maintenance has actually started.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

succeededAt

string (date-time)

The time time when the maintenance has actually completed successfully.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cancelledAt

string (date-time)

The time time when the maintenance has actually been cancelled.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

userControllable

boolean

Indicates whether the user can control (reschedule) the maintenance.

ResourceResource

Field

Description

id

string

ID of the resource

type

string

The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc.

DetailDetail

Field

Description

key

string

Unique key (service-specific).

value

string

Description (service-specific).

Была ли статья полезна?

Предыдущая
List
Следующая
Reschedule
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Сделано на Gravity UI
Проект Яндекса
© 2026 ООО «Яндекс.Облако»